> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contentignite.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /report/:id

> Fetch a reports configuration details



## OpenAPI

````yaml /openapi.json get /v1/report/{id}
openapi: 3.0.1
info:
  title: CI Public API
  description: >-
    # Introduction

    Welcome to the Content Ignite API. A central place for all Content Ignite
    functionality. 


    This API enforces a separation between function and form, meaning anything
    you can do in our platforms can be replicated in your own bespoke solution.


    # Authentication

    Authentication is handled via JWTs. You can retrieve your unique JSON Web
    Token from the settings page in the platform, which needs to be passed in
    with every request.

    To do this, simple include it in an Authorization header with the "Bearer"
    key word.


    Please contact support for help getting started.


    # Error Codes

    This is a fully RESTful API, so prepare for a number of different HTTP
    status codes.


    There is also a standard "success" field returned for each request. This
    boolean value can provide a first check against a response.


    # Rate limit

    We reserve the right to block requests if we deem a client to be abusing the
    API.
  version: 1.0.0
servers:
  - url: https://api.tagdeliver.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Reporting
  - name: Reporting/Revenue Reports
  - name: Reporting/Experiment Reporting
  - name: Reporting/Campaign Reports
  - name: Reporting/Health Check
  - name: Reporting/Ads.txt
  - name: Reporting/Utility
  - name: Reporting/Insights Hub
  - name: Reporting/Insights Hub/SSP Insights
  - name: Reporting/Insights Hub/Core Web Vitals
  - name: Reporting/Insights Hub/Ads.txt Insights
  - name: Reporting/Insights Hub/Live Insights
  - name: Reporting/Insights Hub/Metrics
  - name: Reporting/Insights Hub/Diagnostics
  - name: Reporting/Insights Hub/Revenue Insights
  - name: Reporting/Insights Hub/Revenue Analytics
  - name: Reporting/Insights Hub/Demand Mix
  - name: Reporting/Insights Hub/Benchmarking
  - name: Organisation
  - name: Organisation/Organisation Meta
  - name: Organisation/Pricing
  - name: Ad Stack
  - name: Ad Stack/Integration
  - name: Publisher
  - name: Publisher/Publisher Stack
  - name: Publisher/Publisher Tag
  - name: Publisher/Publisher Meta
  - name: Publisher/Experiment
  - name: Publisher/Config (Ad unit)
  - name: Publisher/App Placement
  - name: Billing
  - name: Billing/Invoice
  - name: '[IN PROGRESS] Integration'
  - name: '[TODO] User'
  - name: '[TODO] User/Account'
  - name: public
paths:
  /v1/report/{id}:
    get:
      tags:
        - Reporting/Revenue Reports
        - public
      summary: /report/:id
      description: Fetch a reports configuration details
      parameters:
        - name: id
          in: path
          description: Unique report ID
          required: true
          example: 0
          schema:
            type: integer
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: object
                    properties:
                      id:
                        type: integer
                      title:
                        type: string
                      created_by:
                        type: integer
                      organisation_id:
                        type: integer
                      fields:
                        type: array
                        items:
                          type: string
                      date_range:
                        type: string
                      custom_date:
                        type: object
                        properties:
                          start:
                            type: string
                            format: date
                          end:
                            type: string
                            format: date
                        required:
                          - start
                          - end
                        nullable: true
                      filters:
                        type: object
                        properties:
                          account_name:
                            type: object
                            properties:
                              matches:
                                type: array
                                items:
                                  type: string
                              type:
                                type: string
                          config_id:
                            type: object
                            properties:
                              matches:
                                type: array
                                items:
                                  type: string
                              type:
                                type: string
                          creative_size:
                            type: object
                            properties:
                              matches:
                                type: array
                                items:
                                  type: string
                              type:
                                type: string
                          device:
                            type: object
                            properties:
                              matches:
                                type: array
                                items:
                                  type: string
                              type:
                                type: string
                          geo:
                            type: object
                            properties:
                              matches:
                                type: array
                                items:
                                  type: string
                              type:
                                type: string
                          oid:
                            type: object
                            properties:
                              matches:
                                type: array
                                items:
                                  type: string
                              type:
                                type: string
                          partner:
                            type: object
                            properties:
                              matches:
                                type: array
                                items:
                                  type: string
                              type:
                                type: string
                          platform:
                            type: object
                            properties:
                              matches:
                                type: array
                                items:
                                  type: string
                              type:
                                type: string
                          uid:
                            type: object
                            properties:
                              matches:
                                type: array
                                items:
                                  type: string
                              type:
                                type: string
                          unit:
                            type: object
                            properties:
                              matches:
                                type: array
                                items:
                                  type: string
                              type:
                                type: string
                      created_on:
                        type: string
                        format: date
                      table_state:
                        type: string
                        nullable: true
                      temporary:
                        type: boolean
                  success:
                    type: boolean
              example:
                results:
                  id: 19972
                  title: null
                  created_by: 564
                  organisation_id: 3
                  fields:
                    - date
                    - publisher
                    - uid
                    - net_revenue
                    - gross_revenue
                  date_range: seven_days
                  custom_date: null
                  filters:
                    account_name:
                      matches: []
                      type: include
                    account_owner:
                      matches: []
                      type: include
                    channel:
                      matches: []
                      type: include
                    config_id:
                      matches: []
                      type: include
                    creative_size:
                      matches: []
                      type: include
                    device:
                      matches: []
                      type: include
                    environment:
                      matches: []
                      type: include
                    geo:
                      matches: []
                      type: include
                    line_item:
                      matches: []
                      type: include
                    oid:
                      matches: []
                      type: include
                    partner:
                      matches: []
                      type: include
                    platform:
                      matches: []
                      type: include
                    region:
                      matches: []
                      type: include
                    revenue_source:
                      matches: []
                      type: include
                    uid:
                      matches: []
                      type: include
                    unit:
                      matches: []
                      type: include
                  order: null
                  limit: null
                  created_on: '2025-11-24 11:16:16'
                  table_state: null
                  temporary: true
                success: true
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````